This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 660417 (CVE-2010-3771)

Summary: CVE-2010-3771 Mozilla Chrome privilege escalation with window.open and <isindex> element (MFSA 2010-76)
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, security-response-team, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101209,reported=20101203,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4.8.z/firefox=affected,rhel-5.5.z/firefox=affected,rhel-6.0.z/firefox=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 14:39:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2010-12-06 13:57:43 EST
Security researcher echo reported that a web page could open a window with
an about:blank location and then inject an <isindex> element into that page
which upon submission would redirect to a chrome: document. The effect of
this defect was that the original page would wind up with a reference to a
chrome-privileged object, the opened window, which could be leveraged for
privilege escalation attacks.

Mozilla security researcher moz_bug_r_a4 provided proof-of-concept code
demonstrating how the above vulnerability could be used to run arbitrary
code with chrome privileges.
Comment 1 Vincent Danen 2010-12-09 17:03:35 EST
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-76.html
Comment 2 errata-xmlrpc 2010-12-09 18:09:05 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html